VLC media player ASF demuxer 缓冲区错误漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1710742 漏洞类型 缓冲区错误
发布时间 2019-08-20 更新时间 2020-08-19
CVE编号 CVE-2019-14776 CNNVD-ID CNNVD-201908-1364
漏洞平台 N/A CVSS评分 N/A
|漏洞来源
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-201908-1364
|漏洞详情
VideoLAN VLC media player是法国VideoLAN组织的一款免费、开源的跨平台多媒体播放器(也是一个多媒体框架)。该产品支持播放多种介质(文件、光盘等)、多种音视频格式(WMV,MP3等)等。 VideoLAN VLC media player 3.0.7.1版本中的demux/asf/asf.c文件的DemuxInit()函数存在缓冲区错误漏洞。该漏洞源于网络系统或产品在内存上执行操作时,未正确验证数据边界,导致向关联的其他内存位置上执行了错误的读写操作。攻击者可利用该漏洞导致缓冲区溢出或堆溢出等。
|参考资料

来源:www.debian.org

链接:https://www.debian.org/security/2019/dsa-4504


来源:www.auscert.org.au

链接:https://www.auscert.org.au/bulletins/ESB-2019.3185/


来源:packetstormsecurity.com

链接:https://packetstormsecurity.com/files/154173/Debian-Security-Advisory-4504-1.html


来源:vigilance.fr

链接:https://vigilance.fr/vulnerability/VideoLAN-VLC-multiple-vulnerabilities-30091